VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties
VisimRenderGL.GLLightMan Class Reference
Inheritance diagram for VisimRenderGL.GLLightMan:

List of all members.

## Public Member Functions
override ILight | CreateCopy (ILight source)
| Creates exact copy of the light source.
override ILight | ReadFromXml (System.Xml.XmlReader reader)
| Attempts to read light data from xml stream, creates new object and returns it.
override void | EnableLighting (bool value=true)
| Enables (or disables) lighting.
override void | DeactiveLight (int index)
| Deactivates HW light with specified index.
## Static Public Member Functions
static EnableCap | GetLightEnable (int index)
## Protected Member Functions
override ILight | CreateAmbient (VisiMath.ColorByte color)
override ILight | CreateDirectional ()
| Creates new directional light (without setting any parameters)
override ILight | CreateDirectional (VisiMath.Vector3 direction, VisiMath.ColorByte ambient, VisiMath.ColorByte diffuse, VisiMath.ColorByte specular)
override ILight | CreatePositional ()
| Creates positional light without setting parameters.
override ILight | CreatePositional (VisiMath.Vector3 position, VisiMath.ColorByte ambient, VisiMath.ColorByte diffuse, VisiMath.ColorByte specular)
override ILight | CreateSpot ()
| Creates parameterless spot light.
override ILight | CreateSpot (VisiMath.Vector3 position, VisiMath.Vector3 direction, float angle, VisiMath.ColorByte ambient, VisiMath.ColorByte diffuse, VisiMath.ColorByte specular)
## Properties
override int | MaxLights`[get]`
| Maximal number of currently active lights.

## Member Function Documentation

override ILight VisimRenderGL.GLLightMan.CreateAmbient | ( | VisiMath.ColorByte | color | ) | `[protected]`

override ILight VisimRenderGL.GLLightMan.CreateCopy | ( | ILight | source | ) | `[virtual]`

Creates exact copy of the light source.

Parameters:

  source | Source light object

Returns:
  Copy of the light source

Implements VisimBox.Renderer.LightManager.

override ILight VisimRenderGL.GLLightMan.CreateDirectional | ( | VisiMath.Vector3 | direction,
|  | VisiMath.ColorByte | ambient,
|  | VisiMath.ColorByte | diffuse,
|  | VisiMath.ColorByte | specular
| ) |  | `[protected]`

override ILight VisimRenderGL.GLLightMan.CreateDirectional | ( |  | ) | `[protected, virtual]`

Creates new directional light (without setting any parameters)

Returns:
  New light

Implements VisimBox.Renderer.LightManager.

override ILight VisimRenderGL.GLLightMan.CreatePositional | ( |  | ) | `[protected, virtual]`

Creates positional light without setting parameters.

Returns:
  New light

Implements VisimBox.Renderer.LightManager.

override ILight VisimRenderGL.GLLightMan.CreatePositional | ( | VisiMath.Vector3 | position,
|  | VisiMath.ColorByte | ambient,
|  | VisiMath.ColorByte | diffuse,
|  | VisiMath.ColorByte | specular
| ) |  | `[protected]`

override ILight VisimRenderGL.GLLightMan.CreateSpot | ( |  | ) | `[protected, virtual]`

Creates parameterless spot light.

Returns:

Implements VisimBox.Renderer.LightManager.

override ILight VisimRenderGL.GLLightMan.CreateSpot | ( | VisiMath.Vector3 | position,
|  | VisiMath.Vector3 | direction,
|  | float | angle,
|  | VisiMath.ColorByte | ambient,
|  | VisiMath.ColorByte | diffuse,
|  | VisiMath.ColorByte | specular
| ) |  | `[protected]`

override void VisimRenderGL.GLLightMan.DeactiveLight | ( | int | index | ) | `[virtual]`

Deactivates HW light with specified index.

Parameters:

  index |

Implements VisimBox.Renderer.LightManager.

override void VisimRenderGL.GLLightMan.EnableLighting | ( | bool | value = `true` | ) | `[virtual]`

Enables (or disables) lighting.

Parameters:

  value | Lighting

Implements VisimBox.Renderer.LightManager.

static EnableCap VisimRenderGL.GLLightMan.GetLightEnable | ( | int | index | ) | `[static]`

override ILight VisimRenderGL.GLLightMan.ReadFromXml | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Attempts to read light data from xml stream, creates new object and returns it.

Parameters:

  reader | XML reader

Returns:
  Valid light object or null

Implements VisimBox.Renderer.LightManager.

## Property Documentation

override int VisimRenderGL.GLLightMan.MaxLights`[get]`

Maximal number of currently active lights.

Reimplemented from VisimBox.Renderer.LightManager.

The documentation for this class was generated from the following file:

- GLLight.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events